package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.UserAuthentication;
import com.diagbot.entity.User;
import com.diagbot.entity.wrapper.UserWrapper;
import com.diagbot.facade.UserAuthenticationFacade;
import com.diagbot.vo.UserAuthenticationVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 用户认证信息表 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-09-13
 */
@RestController
@RequestMapping("/userAuthentication")
public class UserAuthenticationController {
    @Autowired
    private UserAuthenticationFacade userAuthenticationFacade;


    @ApiOperation(value = "用户认证",
            notes = "userName：用户名，必填<br>" +
                    "organization：组织机构，必填<br>")
    @PostMapping("/userAuthentication")
    @SysLogger("userAuthentication")
    public RespDTO<Boolean> userAuthentication(@RequestBody @Valid UserAuthenticationVO userAuthenticationVO) {
        UserAuthentication userAuthentication = userAuthenticationFacade.userAuthentication(userAuthenticationVO);
        return RespDTO.onSuc(true);
    }

    @PostMapping("/getuserAuthenticationInfo")
    @SysLogger("getuserAuthenticationInfo")
    public RespDTO<UserWrapper> getuserAuthenticationInfo() {
        UserWrapper userWrapper = userAuthenticationFacade.getuserAuthenticationInfo();
        return RespDTO.onSuc(userWrapper);
    }
}
